---
# Run from dir above `ansible-playbook coreDNS/.test`
# Works from commit: 'dbea4fe23f50aa407d507eb9136cc47d08634d26'
# - hosts: dns
#   roles:
#   - coreDNS

- hosts: nodes, dns
  roles:
  - ../collect_ips

- hosts: local
  tasks:
  - include_vars:
      dir: vars/
  - include_vars:
      dir: '{{src}}/network/collect_ips/vars/'

  - name: check src
    debug:
      msg: "{{ hostvars['dns']['ansible_default_ipv4']['address'] }}"


  # - name: test DNS resolution
  #   shell: 'dig @192.168.122.154 n1.stor.ai'
  #   register: dig
  #
  # - debug: msg="{{ dig.stdout_lines }}"
  #
  # - name: get ips
  #   debug:
  #     msg: 'ips node1: {{get_n1_ip}}, node2: {{get_n2_ip}}'
